[BioC] Problems with BioConductor 1.9 in R-2.4.1

Seth Falcon sfalcon at fhcrc.org
Tue Dec 19 19:16:12 CET 2006

Hi Philip,

"Groot, Philip de" <philip.degroot at wur.nl> writes:
> I want to report 2 problems.
> The first problem is encountered when installing bioconductor 1.9 in
> R-2.4.1 (Linux: g++ (GCC) 3.3.3 (SuSE Linux)). When executing the
> getBioC.R script, everything installs fine EXCEPT annaffy. I obtain
> the following warning:
> Warning message: installation of package 'annaffy' had non-zero exit
> status in: install.packages(pkgs = pkgs, repos = repos, dependencies
> = dependencies,

We are able to reproduce this problem and I believe that Martin
already has a fix in hand that will be sent to the release branch.  We
should have an updated annaffy package available within a day.

> The second problem that I have applies to both R-2.4.0 and
> R-2.4.1. I compile the win32 RGui myself from source using the
> mingw-5.1.1 compiler (and msys).  R works fine. Bioconductor
> installs etc. But last week, I found that in R-2.4.0 the library
> 'graph' won't load. This is the error message that I obtain:
>> library(graph)
> Error in `parent.env<-`(`*tmp*`, value = NULL) : 
>         use of NULL environment is defunct
> Error: package/namespace load failed for 'graph'

How did you install the graph package?  And what version do you have?
Please try using getBioC/biocLite to reinstall the graph package.  And
send output from sessionInfo().

> The same error occurs for R-2.4.1 (which makes sense off
> course). However, if I install the pre-compiled binary this problem
> does not occur. I do not know where this problem comes from, but I
> followed everything in the administration guide on compiling R in
> Windows. Someone any suggestion?

I wonder if you are picking up a stale package library when you run
your source-built R's?

+ seth

More information about the Bioconductor mailing list